var WindowManager = require('helper/WindowManager');
var Utils = require('helper/Utils');
var Cloud = require('ti.cloud');
var PushManager = require('samples/pushNotifications/pushManager');

WindowManager.include(

    '/samples/pushNotifications/query',
    '/samples/pushNotifications/notify',
    '/samples/pushNotifications/settings',
    '/samples/pushNotifications/subscribe',
    '/samples/pushNotifications/unsubscribe',
    '/samples/pushNotifications/notifyTokens',
    '/samples/pushNotifications/subscribeToken',
    '/samples/pushNotifications/unsubscribeToken',
    '/samples/pushNotifications/updateSubscription',
    '/samples/pushNotifications/showChannels',
    '/samples/pushNotifications/queryChannels',
    '/samples/pushNotifications/setBadge',
    '/samples/pushNotifications/resetBadge'
);
exports['Push Notifications'] = function () {
    var win = WindowManager.createWindow({
        backgroundColor: 'white'
    });

    var rows = [
        'Notify',
        'Notify Tokens',
        'Query Subscriptions',
        'Show Channels',
        'Query Channels',
        'Set Badge',
        'Reset Badge'
    ];
    if (Ti.Platform.name === 'iPhone OS' || Ti.Platform.name === 'android') {
        rows.push('Settings for This Device');
        rows.push('Subscribe');
        rows.push('Unsubscribe');
        rows.push('Subscribe Token');
        rows.push('Unsubscribe Token');
        rows.push('Update Subscription');
    }
    else {
        // Our other platforms do not support push notifications yet.
    }

    var table = Ti.UI.createTableView({
        backgroundColor: '#fff',
        top: 0,
        data: Utils.createRows(rows)
    });
    table.addEventListener('click', WindowManager.handleOpenWindow);
    win.add(table);
    return win;
};

PushManager.checkPushNotifications();
